Bug 1259934 - [abrt] nautilus: g_file_equal(): nautilus killed by SIGSEGV
[abrt] nautilus: g_file_equal(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d76dc58075338a924795d257cda...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 16:31 EDT by Christian Stadelmann
Modified: 2016-12-20 09:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:34:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.02 KB, text/plain)
2015-09-03 16:31 EDT, Christian Stadelmann
no flags Details
File: core_backtrace (11.67 KB, text/plain)
2015-09-03 16:31 EDT, Christian Stadelmann
no flags Details
File: dso_list (11.34 KB, text/plain)
2015-09-03 16:31 EDT, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2015-09-03 16:31 EDT, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-03 16:32 EDT, Christian Stadelmann
no flags Details
File: maps (55.96 KB, text/plain)
2015-09-03 16:32 EDT, Christian Stadelmann
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-03 16:32 EDT, Christian Stadelmann
no flags Details
File: open_fds (2.59 KB, text/plain)
2015-09-03 16:32 EDT, Christian Stadelmann
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-09-03 16:32 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-09-03 16:31:51 EDT
Description of problem:
I tried to copy a file into the directory it was from. This directory was on a gvfs mount, a usb thumb drive mounted below /run/media/[username]/[devicename]		

Version-Release number of selected component:
nautilus-3.17.90-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_file_equal
executable:     /usr/bin/nautilus
kernel:         4.2.0-1.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_file_equal at gfile.c:666
 #1 nautilus_get_mounted_mount_for_root at nautilus-file-utilities.c:548
 #2 custom_basename_to_string at nautilus-file-operations.c:799
 #3 eel_strdup_vprintf_with_custom at eel-string.c:552
 #4 f at nautilus-file-operations.c:912
 #5 report_copy_progress at nautilus-file-operations.c:3246
 #6 copy_files at nautilus-file-operations.c:4778
 #7 copy_job at nautilus-file-operations.c:4913
 #8 io_job_thread at gioscheduler.c:85
 #9 g_task_thread_pool_thread at gtask.c:1283
Comment 1 Christian Stadelmann 2015-09-03 16:31:54 EDT
Created attachment 1070099 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-09-03 16:31:56 EDT
Created attachment 1070100 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-09-03 16:31:57 EDT
Created attachment 1070101 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-09-03 16:31:59 EDT
Created attachment 1070102 [details]
File: exploitable
Comment 5 Christian Stadelmann 2015-09-03 16:32:00 EDT
Created attachment 1070103 [details]
File: limits
Comment 6 Christian Stadelmann 2015-09-03 16:32:02 EDT
Created attachment 1070104 [details]
File: maps
Comment 7 Christian Stadelmann 2015-09-03 16:32:03 EDT
Created attachment 1070105 [details]
File: namespaces
Comment 8 Christian Stadelmann 2015-09-03 16:32:04 EDT
Created attachment 1070106 [details]
File: open_fds
Comment 9 Christian Stadelmann 2015-09-03 16:32:05 EDT
Created attachment 1070107 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2016-11-24 07:27:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 09:34:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.